libKF5JSApi5-5.58.0git.20190413T100030~919d81e-ku.23.5.x86_64.rpm


Advertisement

Description

libKF5JSApi5 - KDE Javascript engine

Property Value
Distribution openSUSE Tumbleweed
Repository KDE Frameworks Unstable all
Package filename libKF5JSApi5-5.58.0git.20190413T100030~919d81e-ku.23.5.x86_64.rpm
Package name libKF5JSApi5
Package version 5.58.0git.20190413T100030~919d81e
Package release ku.23.5
Package architecture x86_64
Package type rpm
Category System/GUI/KDE
Homepage https://www.kde.org
License LGPL-2.1-or-later
Maintainer -
Download size 40.59 KB
Installed size 84.70 KB
This library provides an ECMAScript compatible interpreter. The ECMA standard
is based on well known scripting languages such as Netscape's JavaScript and
Microsoft's JScript.

Alternatives

Package Version Architecture Repository
libKF5JSApi5-5.58.0git.20190413T100030~919d81e-ku.23.5.i586.rpm 5.58.0git.20190413T100030~919d81e i586 KDE Frameworks Unstable
libKF5JSApi5-5.57.0-173.2.x86_64.rpm 5.57.0 x86_64 KDE Frameworks 5
libKF5JSApi5-5.57.0-173.2.i586.rpm 5.57.0 i586 KDE Frameworks 5
libKF5JSApi5-5.57.0-1.1.x86_64.rpm 5.57.0 x86_64 openSUSE Oss
libKF5JSApi5-5.57.0-1.1.i586.rpm 5.57.0 i586 openSUSE Oss
libKF5JSApi5 - - -

Requires

Name Value
/sbin/ldconfig -
libKF5JS.so.5()(64bit) -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Core5 >= 5.12.3
libc.so.6(GLIBC_2.4)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
libKF5JSApi.so.5()(64bit) -
libKF5JSApi5 = 5.58.0git.20190413T100030~919d81e-ku.23.5
libKF5JSApi5(x86-64) = 5.58.0git.20190413T100030~919d81e-ku.23.5

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libKF5JSApi5-5.58.0git.20190413T100030~919d81e-ku.23.5.x86_64.rpm
Source Package kjs-5.58.0git.20190413T100030~919d81e-ku.23.5.src.rpm

Install Howto

  1. Add the KDE Frameworks Unstable repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Unstable:/Frameworks/openSUSE_Factory/ kde-frameworks-unstable
  2. Install libKF5JSApi5 rpm package:
    # zypper install libKF5JSApi5

Files

Path
/usr/lib64/libKF5JSApi.so.5
/usr/lib64/libKF5JSApi.so.5.58.0
/usr/share/doc/packages/libKF5JSApi5/README.md
/usr/share/licenses/libKF5JSApi5/COPYING.LIB

Changelog

2019-02-15 - alarrosa@suse.com
- Downgrade the Qt version requirement to build with 5.9
2019-02-10 - lbeltrame@kde.org
- Update to 5.55.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.55.0.php
- Changes since 5.54.0:
* Use even more nullptr
* Set SKIP_AUTOMOC for some generated files, to deal with CMP0071
* Use more nullptr
2019-01-14 - lbeltrame@kde.org
- Update to 5.54.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.54.0.php
- Changes since 5.53.0:
* No code changes since 5.53.0
2018-12-09 - lbeltrame@kde.org
- Update to 5.53.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.53.0.php
- Changes since 5.52.0:
* Remove qt include prefix
2018-11-11 - lbeltrame@kde.org
- Update to 5.52.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.52.0.php
- Changes since 5.51.0:
* No code changes since 5.51.0
2018-10-16 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-10-15 - lbeltrame@kde.org
- Update to 5.51.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.51.0.php
- Changes since 5.50.0:
* Fix minor EBN issues
2018-09-13 - lbeltrame@kde.org
- Update to 5.50.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.50.0.php
- Changes since 5.49.0:
* None
2018-08-19 - christophe@krop.fr
- Update to 5.49.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.49.0.php
- Changes since 5.48.0:
* Honor BUILD_TESTING
2018-07-16 - lbeltrame@kde.org
- Update to 5.48.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/kde-frameworks-5.48.0.php
- Changes since 5.47.0:
* Use override

See Also

Package Description
libKF5JobWidgets5-32bit-5.58.0git.20190413T100024~37b03e2-28.4.x86_64.rpm Widgets for showing progress of asynchronous jobs
libKF5JobWidgets5-5.58.0git.20190413T100024~37b03e2-28.4.i586.rpm Widgets for showing progress of asynchronous jobs
libKF5JobWidgets5-5.58.0git.20190413T100024~37b03e2-28.4.x86_64.rpm Widgets for showing progress of asynchronous jobs
libKF5JsEmbed5-32bit-5.58.0git.20190413T100036~8582228-ku.24.5.x86_64.rpm Method for binding Javascript objects to QObjects
libKF5JsEmbed5-5.58.0git.20190413T100036~8582228-ku.24.5.i586.rpm Method for binding Javascript objects to QObjects
libKF5JsEmbed5-5.58.0git.20190413T100036~8582228-ku.24.5.x86_64.rpm Method for binding Javascript objects to QObjects
libKF5KCMUtils5-32bit-5.58.0git.20190418T164227~21b1cd9-ku.39.5.x86_64.rpm Classes to work with KCModules
libKF5KCMUtils5-5.58.0git.20190418T164227~21b1cd9-ku.39.5.i586.rpm Classes to work with KCModules
libKF5KCMUtils5-5.58.0git.20190418T164227~21b1cd9-ku.39.5.x86_64.rpm Classes to work with KCModules
libKF5KDELibs4Support5-32bit-5.58.0git.20190413T095830~ab21a041-ku.32.6.x86_64.rpm Code and utilities to ease the transition to KDE Frameworks 5
libKF5KDELibs4Support5-5.58.0git.20190413T095830~ab21a041-ku.32.6.i586.rpm Code and utilities to ease the transition to KDE Frameworks 5
libKF5KDELibs4Support5-5.58.0git.20190413T095830~ab21a041-ku.32.6.x86_64.rpm Code and utilities to ease the transition to KDE Frameworks 5
libKF5KHtml5-32bit-5.58.0git.20190413T095931~1f0de87-ku.32.6.x86_64.rpm HTML rendering engine
libKF5KHtml5-5.58.0git.20190413T095931~1f0de87-ku.32.6.i586.rpm HTML rendering engine
libKF5KHtml5-5.58.0git.20190413T095931~1f0de87-ku.32.6.x86_64.rpm HTML rendering engine
Advertisement
Advertisement